Skip to main content
GET
Retrieve a BillingCycle

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

id

Response

200 - application/json

successful

A billing cycle defines how and when commissions or purchase orders are aggregated and invoices are generated. You can subscribe multiple suppliers and customers to a given billing cycle

id
string
livemode
boolean
object
enum<string>
Available options:
billing_cycle
is_default
boolean

If you have several billing cycles, the one that is used by default if an ID is not specified

flow
enum<string>

Whether the billing cycle is meant to aggregate commissions or purchase orders

Available options:
COMMISSIONS,
PURCHASES
period
enum<string>

Specifies billing cycle frequency. Either ON_DEMAND, DAILY, WEEKLY, MONTHLY.

Available options:
ON_DEMAND,
DAILY,
WEEKLY,
MONTHLY
period_day
integer | null

If period=MONTHLY, the day of the month the billing cycle runs. Must be between 1 and 31.

period_weekday
integer | null

If period=WEEKLY, the day of the week the billing cycle runs. Must be between 0=SUNDAY and 6=SATURDAY.

created_at
string<date-time>
updated_at
string<date-time>